Summary: libpng, library for working with PNG files
Name: libpng
Version: 1.2.8
Release: 6tr
License: OSI
Group: Trustix Official
Source: http://umn.dl.sourceforge.net/sourceforge/libpng/libpng-%{version}.tar.bz2
#Patch1: libpng-1.2.5-all-patches.txt
Patch0: libpng-1.2.8-makefile.patch
Patch1: libpng-CVE-2006-5793.patch
Patch2: libpng-CVE-2007-2445.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: zlib-devel
Provides: libpng12
Obsoletes: libpng12
URL: http://www.libpng.org/pub/png/

%description
libpng is a library of functions for creating and manipulating PNG
(Portable Network Graphics) image format files.

This package is needed if you want to run binaries that are linked dynamically
with libpng.

%package devel
Group: Trustix Official
Summary: Development tools for version 1.2 of libpng
Provides: libpng12-devel
Obsoletes: libpng12-devel
Requires: %{name} = %{version}, zlib-devel

%description devel
The libpng-devel package contains the header files and static
libraries necessary for developing programs using the PNG
(Portable Network Graphics) library.

If you want to develop programs tha which will manipulate PNG image
format files, while still running on previous Red Hat Linux releases,
you should install libpng-devel.  You'll also need to install the
libpng package.

%package tools
Group: Trustix Official
Summary: two utilities to convert pnm to png and back
Requires: %{name} = %{version}

%description tools
The two utilities png2pnm and pnm2png can be used to convert PNG files
into pnm files and pnm to PNG.

%prep
%setup -q -n libpng-%{version}
#%patch1 -p1
%patch0 -p1
%patch1 -p1
%patch2 -p0

ln -s scripts/makefile.linux Makefile

%build
make prefix=/usr \
	MANPATH=%{_mandir} \
	PNGMAJ=3 \
	ZLIBINC=/usr/include \
	ZLIBLIB=/usr/lib \
        CFLAGS="$RPM_OPT_FLAGS"
cd contrib/pngminus
mv makefile.std Makefile
make prefix=/usr \
	MANPATH=%{_mandir} \
	PNGMAJ=3 \
	ZLIBINC=/usr/include \
	ZLIBLIB=/usr/lib \
        CFLAGS="$RPM_OPT_FLAGS -I../.. -L../.." png2pnm pnm2png


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

mkdir -p $RPM_BUILD_ROOT/usr/share

make install DESTDIR=$RPM_BUILD_ROOT \
	prefix=/usr \
	MANPATH=%{_mandir} \
	PNGMAJ=3 \
	ZLIBINC=/usr/include \
	ZLIBLIB=/usr/lib
install -s -m 755 contrib/pngminus/png2pnm $RPM_BUILD_ROOT/%{_bindir}/
install -s -m 755 contrib/pngminus/pnm2png $RPM_BUILD_ROOT/%{_bindir}/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc *.txt example.c ANNOUNCE CHANGES INSTALL KNOWNBUG LICENSE README TODO
%{_libdir}/libpng*.so.*
%{_mandir}/man3/*
%{_mandir}/man5/*

%files devel
%defattr(-,root,root,0755)
%{_bindir}/libpng*
%{_includedir}/libpng*
%{_includedir}/*.h
%{_libdir}/libpng*.so
%{_libdir}/libpng*a
%{_libdir}/pkgconfig/*

%files tools
%defattr(-,root,root,0755)
%doc contrib/pngminus/README
%{_bindir}/png2pnm
%{_bindir}/pnm2png

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri May 18 2007 Nived Gopalan <nived at trustix dot org> 1.2.8-6tr
- SECURITY Fix: A vulnerability has been reported in libpng, caused
  due to an error in the "png_handle_tRNS" function in pngrutil.c.
  This can be exploited by tricking an application using the library
  to process a specially crafted PNG file containing a malformed
  tRNS chunk.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2007-2445 to this issue.

* Thu Nov 16 2006 Nived Gopalan <nived at trustix dot org> 1.2.8-5tr
- SECURITY Fix: Tavis Ormandy has reported a vulnerability in libpng,
  caused due to an out-of-bounds read error in the "png_set_sPLT()"
  function in pngset.c. This can be exploited by tricking an application
  using the library to process a specially crafted PNG file.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2006-5793 to this issue.

* Fri Apr 29 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.2.8-3tr
- Added makefile patch to fix undefined symbols

* Wed Mar 16 2005 Bipin S  <bipin at comodo dot com> 1.2.8-2tr
- Rebuilt

* Thu Mar 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.2.8-1tr
- New upstream

* Mon Sep 20 2004 Nageswara Sastry <nageswara at comodo dot com> 1.2.7-1tr
- Version changed to 1.2.7

* Tue Aug  3 2004 Oystein Viggen <oysteivi at trustix dot com> 1.2.5-12tr
- Patch multiple vulnerabilities

* Tue Jun 29 2004 Oystein Viggen <oysteivi at trustix dot com> 1.2.5-11tr
- Use a more complete patch for CAN-2002-1363

* Tue Jun 22 2004 Chr. Toldnes <christht at trustix dot org> 1.2.5-10tr
- Added patch to fix old CAN-2002-1363

* Fri Apr 30 2004 Oystein Viggen <oysteivi at trustix dot com> 1.2.5-9tr
- Patch for error message crash, CAN-2004-0421

* Sat Jan 10 2004 Goetz Bock <bg at trustix dot org> 1.2.5-6bg
- added pngminus tools as -tools subpackage

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 1.2.5-5tr
- Rebuilt

* Wed Nov 19 2003 Tor Hveem <torh at trustix dot org> 1.2.5-4th
- Renamed package to libpng, also Provides: the old name
- Added som missing Reqs
- Added proper CFLAGS

* Thu Jul  3 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.5-3tr
- Added include directory.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.5-2tr
- Big rebuild

* Wed Apr 30 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.5-1em
- New version.

* Mon Apr 14 2003 Gerald Dachs <gda at trustix dot org> 1.0.15-1gd
- initital release
